## gr-radar 0.0.0.20161018

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-radar CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set C++ standard for all targets
IF(CMAKE_VERSION VERSION_GREATER 3.1)
    set(CMAKE_CXX_STANDARD 98)
ENDIF()

# Set cmake policies.
# This will suppress developer warnings during the cmake process that can occur
# if a newer cmake version than the minimum is used.

if(POLICY CMP0026)
    cmake_policy(SET CMP0026 OLD)
endif()
if(POLICY CMP0043)
    cmake_policy(SET CMP0043 OLD)
endif()
if(POLICY CMP0045)
    cmake_policy(SET CMP0045 OLD)
endif()
if(POLICY CMP0046)
    cmake_policy(SET CMP0046 OLD)
endif()

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    #add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS filesystem system)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile radar")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include/radar)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(CppUnit)
find_package(Doxygen)
find_package(FFTW3F)
find_package(Qt4 4.2.0 COMPONENTS QtCore QtGui)
find_package(Qwt 6.0.0)
find_package(UHD)

# Search for GNU Radio and its components and versions. Add any
# components required to the list of GR_REQUIRED_COMPONENTS (in all
# caps such as FILTER or FFT) and change the version to the minimum
# API compatible version required.
set(GR_REQUIRED_COMPONENTS RUNTIME)
find_package(Gnuradio "3.7.2" REQUIRED)
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

if(NOT CPPUNIT_FOUND)
    message(FATAL_ERROR "CppUnit required to compile blub")
endif()

# populate the environment with QT variables
include(GrSetupQt4)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
	option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
	option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${CPPUNIT_INCLUDE_DIRS}
    ${GNURADIO_ALL_INCLUDE_DIRS}
    ${FFTW3F_INCLUDE_DIRS}
    ${QWT_INCLUDE_DIRS}
    ${QT_INCLUDE_DIRS}
    ${UHD_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${CPPUNIT_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
    ${FFTW3F_LIBRARY_DIRS}
    ${QWT_LIBRARY_DIRS}
    ${QT_LIBRARY_DIRS}
    ${UHD_LIBRARY_DIRS}
)

# Set component parameters
set(GR_RADAR_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_RADAR_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/radar)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)

########################################################################
# Install cmake search helper for this library
########################################################################
if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

install(FILES cmake/Modules/radarConfig.cmake
    DESTINATION ${CMAKE_MODULES_DIR}/radar
)

## gr-radar 0.0.0.20160126

=== debian/changelog ===
gr-radar (0.0.0.20160126-1) unstable; urgency=medium

  * Package 4aaee96, upload to Debian (Closes: #814034)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Apr 2016 18:27:45 -0400

gr-radar (0.0.0.20151016-1) unstable; urgency=medium

  * Package db0053f

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Oct 2015 23:56:12 -0400

gr-radar (0.0.0.20150623-1) unstable; urgency=medium

  * Package bc39377

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 23 Aug 2015 21:28:34 -0400

gr-radar (0.0.0.1-1) unstable; urgency=low

  * Initial package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 20 Sep 2014 00:08:12 -0400

=== debian/control ===
Source: gr-radar
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
	       doxygen-latex,
               gnuradio-dev (>=3.7.8),
               libboost-system-dev,
               liblog4cpp5-dev,
               libqt4-dev,
               libqwt-dev,
               libuhd-dev,
               pkg-config,
               qtchooser,
               swig
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: https://grradar.wordpress.com
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/

Package: gr-radar
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-radar3.7.8 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU Radio Radar Toolbox
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 gr-radar provides GNU Radio Companion flowgraphs to handle RADAR data.

Package: gr-radar-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libjs-jquery, ${misc:Depends}
Description: GNU Radio Radar Toolbox - Documentation
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 gr-radar-doc provides Doxygen generated documentation.

Package: libgnuradio-radar3.7.8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-radar
Description: GNU Radio Radar Toolbox - library
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_TYPE="RelWithDebInfo"

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
	rm -rf debian/test

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyo
	dh_install
	rm -f debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js

## gr-radar 0.0.0.20160615

=== debian/changelog ===
gr-radar (0.0.0.20160615-3) unstable; urgency=medium

  * conflict/replace libgnuradio-radar3.7.8  (Closes: #836260)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 01 Sep 2016 19:40:59 -0400

gr-radar (0.0.0.20160615-2) unstable; urgency=medium

  * change library name to match current gnuradio soname

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 07:22:28 -0400

gr-radar (0.0.0.20160615-1) unstable; urgency=medium

  * Package da012c2
    set c++ standard to avoid gcc6 complications (Closes: #834292)
  * fix override_dh_install target (Closes: #829042)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 06:27:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
 	       doxygen-latex,
-               gnuradio-dev (>=3.7.8),
+               gnuradio-dev (>>3.7.9.2),
                libboost-system-dev,
                liblog4cpp5-dev,
                libqt4-dev,
@@ -15,7 +15,7 @@
                qtchooser,
                swig
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://grradar.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/
@@ -24,7 +24,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-radar3.7.8 (=${binary:Version}),
+         libgnuradio-radar3.7.10 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNU Radio Radar Toolbox
@@ -56,11 +56,13 @@
  .
  gr-radar-doc provides Doxygen generated documentation.
 
-Package: libgnuradio-radar3.7.8
+Package: libgnuradio-radar3.7.10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-radar
+Conflicts: libgnuradio-radar3.7.8
+Replaces: libgnuradio-radar3.7.8
 Description: GNU Radio Radar Toolbox - library
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,12 @@
 	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
 	rm -rf debian/test
 
-override_dh_install:
+override_dh_install-arch:
 	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyc
 	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyo
-	dh_install
+	dh_install --arch
+
+override_dh_install-indep:
+	dh_install --indep
 	rm -f debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js

=== debian/watch ===
version=3
# Upstream git has no tags or releases.
# https://github.com/kit-cel/gr-radar

## gr-radar 0.0.0.20161018

=== debian/changelog ===
gr-radar (0.0.0.20161018-3build1) bionic; urgency=medium

  * No-change rebuild against libuhd003.010.003

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 01:20:23 +0000

gr-radar (0.0.0.20161018-3) unstable; urgency=medium

  * update conflict/replace libgnuradio-radar3.7.10  (Closes: #875833)
  * optional priority

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 23 Sep 2017 18:08:26 -0400

gr-radar (0.0.0.20161018-2) unstable; urgency=medium

  * install .pc file correctly (Closes: #875833)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Sep 2017 19:07:20 -0400

gr-radar (0.0.0.20161018-1) unstable; urgency=medium

  * New upstream commits
  * build with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 14:57:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gr-radar
 Section: libdevel
-Priority: extra
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
-	       doxygen-latex,
-               gnuradio-dev (>>3.7.9.2),
+               doxygen-latex,
+               gnuradio-dev (>= 3.7.11),
                libboost-system-dev,
                liblog4cpp5-dev,
                libqt4-dev,
@@ -15,7 +16,7 @@
                qtchooser,
                swig
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://grradar.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/
@@ -24,9 +25,15 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-radar3.7.10 (=${binary:Version}),
+         libgnuradio-radar3.7 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
+        libgnuradio-radar3.7.10,
+        libgnuradio-radar3.7.8
+Replaces: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
+          libgnuradio-radar3.7.10,
+          libgnuradio-radar3.7.8
 Description: GNU Radio Radar Toolbox
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a
@@ -56,13 +63,12 @@
  .
  gr-radar-doc provides Doxygen generated documentation.
 
-Package: libgnuradio-radar3.7.10
+Package: libgnuradio-radar3.7
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-radar
-Conflicts: libgnuradio-radar3.7.8
-Replaces: libgnuradio-radar3.7.8
+Section: libs
 Description: GNU Radio Radar Toolbox - library
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a

## gr-radar 0.0.0.20180308

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 ########################################################################
 # Project setup
 ########################################################################
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 project(gr-radar CXX C)
 enable_testing()
 
@@ -36,7 +36,7 @@
 
 # Set C++ standard for all targets
 IF(CMAKE_VERSION VERSION_GREATER 3.1)
-    set(CMAKE_CXX_STANDARD 98)
+    set(CMAKE_CXX_STANDARD 11)
 ENDIF()
 
 # Set cmake policies.
@@ -79,7 +79,7 @@
     "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
     "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
 )
-find_package(Boost "1.35" COMPONENTS filesystem system)
+find_package(Boost "1.53" COMPONENTS filesystem system)
 
 if(NOT Boost_FOUND)
     message(FATAL_ERROR "Boost required to compile radar")

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
install(FILES
    radar_signal_generator_cw_c.xml
    radar_signal_generator_fmcw_c.xml
    radar_split_cc.xml
    radar_os_cfar_c.xml
    radar_ts_fft_cc.xml
    radar_estimator_cw.xml
    radar_print_results.xml
    radar_static_target_simulator_cc.xml
    radar_signal_generator_fsk_c.xml
    radar_split_fsk_cc.xml
    radar_estimator_fsk.xml
    radar_usrp_echotimer_cc.xml
    radar_estimator_fmcw.xml
    radar_signal_generator_sync_pulse_c.xml
    radar_estimator_sync_pulse_c.xml
    radar_find_max_peak_c.xml
    radar_qtgui_scatter_plot.xml
    radar_qtgui_time_plot.xml
    radar_tracking_singletarget.xml
    radar_msg_gate.xml
    radar_msg_manipulator.xml
    radar_ofdm_cyclic_prefix_remover_cvc.xml
    radar_transpose_matrix_vcvc.xml
    radar_qtgui_spectrogram_plot.xml
    radar_crop_matrix_vcvc.xml
    radar_ofdm_divide_vcvc.xml
    radar_os_cfar_2d_vc.xml
    radar_estimator_ofdm.xml
    radar_estimator_rcs.xml
    radar_trigger_command.xml
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# QT GUI file generation stuff (Q_OBJECT)
########################################################################
set(QTGUI_MOC_HEADERS
	scatter_plot.h
	time_plot.h
	spectrogram_plot.h)
QT4_WRAP_CPP(QTGUI_MOC_OUTFILES ${QTGUI_MOC_HEADERS})

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

include_directories(${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})
list(APPEND radar_sources
	${QTGUI_MOC_OUTFILES}
	scatter_plot.cc
	time_plot.cc
	spectrogram_plot.cc
    signal_generator_cw_c_impl.cc
    signal_generator_fmcw_c_impl.cc
    split_cc_impl.cc
    os_cfar_c_impl.cc
    ts_fft_cc_impl.cc
    estimator_cw_impl.cc
    print_results_impl.cc
    static_target_simulator_cc_impl.cc
    signal_generator_fsk_c_impl.cc
    split_fsk_cc_impl.cc
    estimator_fsk_impl.cc
    usrp_echotimer_cc_impl.cc
    estimator_fmcw_impl.cc
    signal_generator_sync_pulse_c_impl.cc
    estimator_sync_pulse_c_impl.cc
    find_max_peak_c_impl.cc
    qtgui_scatter_plot_impl.cc
    qtgui_time_plot_impl.cc
    tracking_singletarget_impl.cc
    msg_gate_impl.cc
    msg_manipulator_impl.cc
    ofdm_cyclic_prefix_remover_cvc_impl.cc
    transpose_matrix_vcvc_impl.cc
    qtgui_spectrogram_plot_impl.cc
    crop_matrix_vcvc_impl.cc
    ofdm_divide_vcvc_impl.cc
    os_cfar_2d_vc_impl.cc
    estimator_ofdm_impl.cc
    estimator_rcs_impl.cc
    trigger_command_impl.cc
    )

set(radar_sources "${radar_sources}" PARENT_SCOPE)
if(NOT radar_sources)
	MESSAGE(STATUS "No C++ sources... skipping lib/")
	return()
endif(NOT radar_sources)

add_library(gnuradio-radar SHARED ${radar_sources})
target_link_libraries(gnuradio-radar ${Boost_LIBRARIES} ${GNURADIO_ALL_LIBRARIES} ${FFTW3F_LIBRARIES} ${QWT_LIBRARIES} ${QT_LIBRARIES} ${UHD_LIBRARIES})
set_target_properties(gnuradio-radar PROPERTIES DEFINE_SYMBOL "gnuradio_radar_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-radar PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-radar
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

include_directories(${CPPUNIT_INCLUDE_DIRS})

list(APPEND test_radar_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/test_radar.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_radar.cc
)

add_executable(test-radar ${test_radar_sources})

target_link_libraries(
  test-radar
  ${GNURADIO_RUNTIME_LIBRARIES}
  ${Boost_LIBRARIES}
  ${CPPUNIT_LIBRARIES}
  ${FFTW3F_LIBRARY_DIRS}
  ${QWT_LIBRARIES}
  ${QT_LIBRARIES}
  ${UHD_LIBRARY_DIRS}
  gnuradio-radar
)

GR_ADD_TEST(test_radar test-radar)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/radar
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-radar)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_signal_generator_cw_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_cw_c.py)
GR_ADD_TEST(qa_signal_generator_fmcw_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_fmcw_c.py)
GR_ADD_TEST(qa_split_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_split_cc.py)
GR_ADD_TEST(qa_os_cfar_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_os_cfar_c.py)
GR_ADD_TEST(qa_ts_fft_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ts_fft_cc.py)
GR_ADD_TEST(qa_estimator_cw ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_cw.py)
GR_ADD_TEST(qa_static_target_simulator_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_static_target_simulator_cc.py)
GR_ADD_TEST(qa_signal_generator_fsk_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_fsk_c.py)
GR_ADD_TEST(qa_split_fsk_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_split_fsk_cc.py)
GR_ADD_TEST(qa_estimator_fsk ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_fsk.py)
GR_ADD_TEST(qa_usrp_echotimer_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_usrp_echotimer_cc.py)
GR_ADD_TEST(qa_estimator_fmcw ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_fmcw.py)
GR_ADD_TEST(qa_signal_generator_sync_pulse_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_signal_generator_sync_pulse_c.py)
GR_ADD_TEST(qa_estimator_sync_pulse_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_sync_pulse_c.py)
GR_ADD_TEST(qa_find_max_peak_c ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_find_max_peak_c.py)
GR_ADD_TEST(qa_tracking_singletarget ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_tracking_singletarget.py)
GR_ADD_TEST(qa_msg_gate ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_msg_gate.py)
GR_ADD_TEST(qa_msg_manipulator ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_msg_manipulator.py)
GR_ADD_TEST(qa_ofdm_cyclic_prefix_remover_cvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ofdm_cyclic_prefix_remover_cvc.py)
GR_ADD_TEST(qa_transpose_matrix_vcvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_transpose_matrix_vcvc.py)
GR_ADD_TEST(qa_crop_matrix_vcvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_crop_matrix_vcvc.py)
GR_ADD_TEST(qa_ofdm_divide_vcvc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ofdm_divide_vcvc.py)
GR_ADD_TEST(qa_os_cfar_2d_vc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_os_cfar_2d_vc.py)
GR_ADD_TEST(qa_estimator_ofdm ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_ofdm.py)
GR_ADD_TEST(qa_estimator_rcs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_estimator_rcs.py)
GR_ADD_TEST(qa_trigger_command ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_trigger_command.py)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT radar_sources)
	MESSAGE(STATUS "No C++ sources... skipping swig/")
	return()
endif(NOT radar_sources)

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-radar)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/radar_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(radar_swig radar_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS radar_swig DESTINATION ${GR_PYTHON_DIR}/radar)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    radar_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/radar_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/radar/swig
)

=== include/radar/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    signal_generator_cw_c.h
    signal_generator_fmcw_c.h
    split_cc.h
    os_cfar_c.h
    ts_fft_cc.h
    estimator_cw.h
    print_results.h
    static_target_simulator_cc.h
    signal_generator_fsk_c.h
    split_fsk_cc.h
    estimator_fsk.h
    usrp_echotimer_cc.h
    estimator_fmcw.h
    signal_generator_sync_pulse_c.h
    estimator_sync_pulse_c.h
    find_max_peak_c.h
    qtgui_scatter_plot.h
    qtgui_time_plot.h
    tracking_singletarget.h
    msg_gate.h
    msg_manipulator.h
    ofdm_cyclic_prefix_remover_cvc.h
    transpose_matrix_vcvc.h
    qtgui_spectrogram_plot.h
    crop_matrix_vcvc.h
    ofdm_divide_vcvc.h
    os_cfar_2d_vc.h
    estimator_ofdm.h
    estimator_rcs.h
    trigger_command.h
    DESTINATION include/radar
)

=== debian/changelog ===
gr-radar (0.0.0.20180308-6build2) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Jul 2022 17:54:42 +0000

gr-radar (0.0.0.20180308-6build1) kinetic; urgency=medium

  * No-change rebuild against libuhd4.2.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2022 23:27:30 +0000

gr-radar (0.0.0.20180308-6) unstable; urgency=medium

  * refactor to build with Python 3.10 (Closes: #1008864)
  * remove obsolete generated file in examples (Closes: #966034)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Apr 2022 07:28:38 -0400

gr-radar (0.0.0.20180308-5) unstable; urgency=medium

  * refactor to build with gnuradio 3.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Apr 2022 07:28:01 -0400

gr-radar (0.0.0.20180308-4) unstable; urgency=medium

  * Explicitly depend upon python3-dev and dh-python (Closes: #940071)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 19 Jan 2020 16:08:38 -0500

gr-radar (0.0.0.20180308-3) unstable; urgency=medium

  * Upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Jan 2020 20:29:19 -0500

gr-radar (0.0.0.20180308-2) experimental; urgency=medium

  * Port to gnuradio 3.8 and Python3 by Nicolas Cuervo
  * Upload to experimental due to new libgnuradio-radar3.8 soversion

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 03 Dec 2019 21:58:34 -0500

gr-radar (0.0.0.20180308-1) unstable; urgency=medium

  * New upstream f727817
  * use Doxygen jquery
  * Move package VCS to Salsa
  * need python-matplotlib to test
  * skip problem test case (does not complete) (Closes: #906362)
  * update Qt usage (Closes: #874900)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 23 Aug 2018 00:21:08 -0400

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,38 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (= 13),
+               dh-python,
                doxygen-latex,
-               gnuradio-dev (>= 3.7.11),
+               gir1.2-gtk-3.0,
+               gnuradio-dev (>= 3.9),
+               gobject-introspection,
                libboost-system-dev,
-               liblog4cpp5-dev,
-               libqt4-dev,
-               libqwt-dev,
+               liborc-0.4-dev,
+               libqwt-qt5-dev,
+               libspdlog-dev,
                libuhd-dev,
                pkg-config,
-               qtchooser,
-               swig
+               python3-dev,
+               python3-gi,
+               python3-matplotlib,
+               python3-numpy,
+               python3-tk,
+               qtbase5-dev,
+               qtchooser
 Build-Depends-Indep: doxygen
-Standards-Version: 4.1.0
+Standards-Version: 4.6.0
 Homepage: https://grradar.wordpress.com
-Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-radar.git
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-radar
 
 Package: gr-radar
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-radar3.7 (=${binary:Version}),
+         libgnuradio-radar1.0.0 (=${binary:Version}),
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Breaks: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
         libgnuradio-radar3.7.10,
@@ -49,8 +58,9 @@
 Package: gr-radar-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libjs-jquery, ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}, ${python3:Depends}
 Description: GNU Radio Radar Toolbox - Documentation
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a
@@ -63,7 +73,7 @@
  .
  gr-radar-doc provides Doxygen generated documentation.
 
-Package: libgnuradio-radar3.7
+Package: libgnuradio-radar1.0.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3 --with numpy3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
        -DCMAKE_BUILD_TYPE="RelWithDebInfo" \
	-DPYTHON_EXECUTABLE:STRING="/usr/bin/python3"

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
	rm -rf debian/test

override_dh_install-arch:
	install -d debian/tmp/usr/lib/python3
	mv debian/tmp/usr/lib/python3.*/site-packages debian/tmp/usr/lib/python3/dist-packages
	dh_install --arch
	rm -f debian/tmp/usr/lib/python3/dist-packages/radar/*.pyc
	rm -f debian/tmp/usr/lib/python3/dist-packages/radar/*.pyo
	rm -f debian/gr-radar/usr/share/gnuradio/examples/radar/usrp/top_block.py
	chmod -x debian/gr-radar/usr/share/gnuradio/examples/radar/setup/setup_core
